<template>
  <div >

    <b-card
      no-body
      class="mb-0"
    >

      <div class="m-2">
        <!-- Alert: No item found -->
        <b-alert
          variant="danger"
          :show="userData === undefined"
        >
          <h4 class="alert-heading">
            Error al obtener los datos del usuario
          </h4>
          <div class="alert-body">
            No se encontró ningún usuario con este ID de usuario. Cheque
            <b-link
              class="alert-link"
              :to="{ name: 'apps-users-list'}"
            >
            Lista de usuarios
            </b-link>
            Para otros usuarios.
          </div>
        </b-alert>

        <template v-if="userData">
          <!-- First Row -->
          <b-row>
            <b-col
              cols="12"
              xl="11"
              lg="10"
              md="9"
            >
              <user-view-user-info-card :user-data="userData" />
            </b-col>
          </b-row>

      
             <b-card
              no-body
              class="border ml-3"
              style="max-width: 55rem;"
              
              >
              <b-card-header class="p-1">
                <b-card-title class="font-medium-2">
                  <feather-icon
                    icon="LockIcon"
                    size="18"
                  />
                  <span class="align-middle ml-50">Permisos</span>
                </b-card-title>
              </b-card-header>
                
                <b-card-text>
                  <b-col >
                    <permissions-table-view :permissions="userData.permissions"   ></permissions-table-view>
                  </b-col>
                </b-card-text>

              </b-card>
       
        </template>
      </div>
    </b-card>

  </div>
</template>

<script>
import {
  BRow, BCol, BAlert, BLink,BCard,BCardBody,BCardHeader,BCardTitle,BCardText
} from 'bootstrap-vue'
import UserViewUserInfoCard from './UserViewUserInfoCard.vue'
import PermissionsTableView from '../../roles/PermissionsTablesView.vue'
export default {
  components: {
    BRow,
    BCol,
    BAlert,
    BLink,
    BCard,
    BCardBody,
    BCardHeader,
    BCardTitle,
    BCardText,
    PermissionsTableView,
    BCardText,
    BCardHeader,
    BCardTitle,
    // Local Components
    UserViewUserInfoCard,
    

  },
  data(){
    return{
      userData: {
        id: "",
        name: "",
        last_name: "",
        phone: "",
        address: "",
        nickname: "",
        job: "",
        email: "",
        image:null,
        baseURL:'http://quantumdaily-back.test/storage/',
        permissions:[{permissionId:'1',selected:false},{permissionId:'2',selected:false},{permissionId:'3',selected:false},
          {permissionId:'4',selected:false},{permissionId:'5',selected:false},{permissionId:'6',selected:false},
          {permissionId:'7',selected:false},{permissionId:'8',selected:false},{permissionId:'9',selected:false},
          {permissionId:'10',selected:false},{permissionId:'11',selected:false},{permissionId:'12',selected:false},
          {permissionId:'13',selected:false},{permissionId:'14',selected:false},{permissionId:'15',selected:false},
          {permissionId:'16',selected:false},{permissionId:'17',selected:false},{permissionId:'18',selected:false},
          {permissionId:'19',selected:false},{permissionId:'20',selected:false},{permissionId:'21',selected:false},
          {permissionId:'22',selected:false},{permissionId:'23',selected:false},{permissionId:'24',selected:false},
          {permissionId:'25',selected:false},{permissionId:'26',selected:false},{permissionId:'27',selected:false},
          {permissionId:'28',selected:false},{permissionId:'29',selected:false},{permissionId:'30',selected:false},
          {permissionId:'31',selected:false},
        

    ],
      },
    }
  },
  methods:{
    getUser(){
      this.userData.id = this.$route.params.id;
      let parametros = {
        id: this.userData.id,
      };
      this.$http.get("usuarios/show", { params: parametros }).then((res) => {
        // console.log(res.data);
        this.userData.name = res.data.user.name;
        this.userData.last_name = res.data.user.last_name;
        this.userData.phone = res.data.user.phone;
        this.userData.address = res.data.user.address;
        this.userData.job = res.data.user.job;
        this.userData.nickname = res.data.user.nickname;
        this.userData.email = res.data.user.email;
        this.userData.image = res.data.user.image;

        let permissions_request = res.data.user.permissions
        let user_permissions = this.userData.permissions

        permissions_request.forEach( function(valor, indice, array) {
            user_permissions.forEach( function(data, indice2, array2) {
              if(data.permissionId == valor.id){
                    data.selected = true
                }
            });
        });
        console.log(this.userData);
      }).catch(err=>{
        console.log(err);
      })
    }
  },
  mounted() {
    this.getUser()
  },
}
</script>

<style>

</style>
